/*-----------GENERAL-STYLES----------*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Roboto', sans-serif;
}

h1, h2, h3, h4, h5, h6 {
    color: #1D273B;
    font-weight: 300;
}

.container {
    width: 90%;
    max-width: 1000px;
    margin: auto;
    overflow: hidden;
}

.container1 {
    width: 90%;
    max-width: 1000px;
    margin: auto;
    overflow: hidden;
    padding: 60px 0px;
}

h1 {
    font-size: 50px;
}

.title {
    font-size: 50px;
}

/*-----------HEADER----------*/
header::before {
    content: "";
    display: block;
    margin-bottom: 80px;
}

nav {
    width: 100%;
    height: 80px;
    background: #fff;
    border-bottom: 1px solid transparent;
    box-shadow: 1px 1px 10px 0px rgba(0, 0, 0, 0.2);
    position: fixed;
    top: 0;
    z-index: 100;
    transition: ease-in-out 0.5s;
}

.nav {
    display: flex;
    justify-content: space-between;
    height: 80px;
    width: 100%;
    align-items: center;
    padding: 0px 40px;
}

.nav .logo {
    height: 80px;
    cursor: pointer;
}

.nav .logo img {
    height: 100%;
    vertical-align: top;
}

.header-links {
    font-weight: 300;
    transition: ease-in-out 0.5s;
}

.nav .header-links a {
    color: #000;
    margin-left: 10px;
    text-decoration: none;

}

.nav .header-links a:hover {
    border-bottom: 1px solid #000;
}

.hamburguer {
    width: 80px;
    height: 80px;
    text-align: center;
    z-index: 100;
    cursor: pointer;
    display: none;
    /* transition: color 0.5s ease-in; */
}

.hamburguer > i {
    font-size: 25px;
    line-height: 80px;
}

/*-----------START----------*/
.header-content {
    width: 100%;
    height: 600px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-content > img {
    width: 550px;
    animation: ease-in animate 1s;
}

@keyframes animate {
    0% { 
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}

.header-texts {
    margin: 0 0 0 30px;
}

.header-content p {
    font-weight: 100;
    margin-top: 14px;
    color: #000;
}

.header-content a {
    margin: 28px 0 0 0;
    width: 130px;
    display: inline-block;
    background: #2445db;
    text-align: center;
    color: #FFF;
    padding: 12px 0;
    text-decoration: none;
    font-weight: 400;
    text-transform: uppercase;
    font-size: 14px;
    border-radius: 5px;
    box-shadow: 0px 8px 32px rgba(92, 29, 240, 0.46);
}

.header-content a:hover {
    font-weight: bold;
    box-shadow: 5px 16px 32px rgba(92, 29, 240, 0.46);
}

/*-----------ABOUT-US----------*/
.about-us {
    background: #F2F2F2;
}

.article-container {
    display: flex;
    flex-wrap: wrap;
    margin-top: 60px;
    justify-content: space-around;
}

.article {
    width: 29%;
    background: #FFF;
    margin-bottom: 30px;
    border-radius: 10px;
    padding: 45px 30px 60px 30px;
    transition: 0.5s;
}

.article:hover {
    box-shadow: 0px 4px 10px rgba(17, 29, 48, 0.26);
}

.article>i {
    font-size: 30px;
    color: #FFF;
    background:#5c1df0;
    display: inline-block;
    width: 70px;
    height: 70px;
    text-align: center;
    line-height: 70px;
    border-radius: 50%;
    box-shadow: 0 8px 32px rgba(92, 29, 240, 0.46);
}

.article>h3 {
    font-size: 24px;
    margin-top: 30px;
}

.article p {
    font-weight: 100;
    color: #000;
    margin-top: 15px;
    padding-bottom: 20px;
}

.article>a {
    color: #000;
    font-weight: 300;
    text-decoration: none;
}

.article a i {
    font-size: 14px;
}

.article>a:hover {
    color: #5c1df0;
    transition: color .5s;
}

/*-----------QUESTIONS----------*/
.questions {
    height: 600px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.questions>img {
    width: 500px;
}

.questions-texts {
    margin: 0px 0px 0px 30px;
}

.questions-texts p {
    font-weight: 100;
    margin-top: 14px;
}

.questions-texts a {
    margin: 28px 0px 0px 0px;
    width: 130px;
    display: inline-block;
    background: #5c1df0;
    text-align: center;
    color: #FFF;
    padding: 12px 0px;
    text-decoration: none;
    font-weight: 400;
    text-transform: uppercase;
    font-size: 14px;
    border-radius: 5px;
    box-shadow: 0px 8px 32px rgba(92, 29, 240, 0.46);
}

/*-----------RESULTS----------*/
.results {
    background: #2470FF;
    padding-top: 30px;
}

.results-content {
    display: flex;
    justify-content: space-evenly;
}

.numbers {
    width: 60%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.numbers .number {
    width: 45%;
    background: rgba(255, 255, 255, 0.2);
    color: #fff;
    border-radius: 10px;
    padding: 40px 35px;
    margin-bottom: 20px;
    border: 1px solid #2470FF;
}

.numbers .number:hover {
    border: 1px solid #fff;
}

.numbers .number h4 {
    color: #fff;
    font-size: 50px;
    font-weight: 500;
    margin-bottom: 20px;
}

.numbers .number p {
    color: #f2f5fc;
    font-weight: 300;
}

.results-text {
    width: 37%;
}

.results-text h4 {
    color: #fff;
    font-size: 40px;
}

.results-text p {
    color: #fff;
    font-weight: 300;
    margin: 20px 0px;
}

.results-text > a {
    color: #fff;
    text-decoration: none;
    display: inline-block;
    border: 1px solid #fff;
    padding: 10px 0px;
    width: 120px;
    text-align: center;
    border-radius: 5px;
    transition: .2s ease-in-out;
}

.results-text>a:hover {
    color: #2470FF;
    background-color: #fff;
}

/*-----------SERVICES----------*/
.services {
    display: flex;
    justify-content: space-between;
}

.services > img {
    width: 500px;
}

.skills-box {
    margin: 30px 30px 0px 0px;
}

.skills-box h4 {
    font-size: 24px;
    background: #f2f2f2;
    width: 350px;
    border-radius: 6px;
    padding: 10px 0px 10px 15px;
    margin-bottom: 10px;
    border: 1px solid #f2f2f2;
    transition: .1s ease-in;
}

.skills-box h4:hover {
    border: 1px solid #2470FF;
}

.skills-box i {
    color: #2470FF;
    font-size: 20px;
}

/*-----------FOOTER----------*/
footer {
    background: #f2f2f2;
    padding: 60px 0px;
    overflow: hidden;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin: auto;
}

.footer-part {
    width: 20%;
    text-align: center;
    cursor: pointer;
}

.footer-part h4 {
    color: #1d273b;
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 30px;
}

.footer-part a {
    display:block;
    text-decoration: none;
    color: #3d6678;
    font-weight: 300;
    transition: color .3s ease-in-out;
    margin-bottom: 10px;
}

.footer-part a:hover {
    color: #5c1df0;
}

.footer-part img {
    width: 45%;
}

.social-media i {
    font-size: 20px;
    display: inline-block;
    color: #adb6c7;
    border: 1px solid #adb6c7;
    border-radius: 50%;
    width: 38px;
    height: 38px;
    line-height: 36px;
    cursor: pointer;
    margin-top: 20px;
    text-align: center;
    transition: all ease-in-out .3s; 
    margin-right: 5px;
}

.social-media i:hover {
    color: #fff;
    background-color: #2470FF;
    border-color: #2470FF;
}

/*-----------RESPONSIVE-DESIGN-800PX----------*/
@media screen and (max-width: 800px){ 

    /* START */
    .title {
        font-size: 45px;
    }

    .header-content > img {
        width: 500px;
    }

    .header-content {
        flex-direction: column-reverse;
        justify-content: space-evenly;
        height: 720px;
    }

    .header-texts {
        margin: 0;
    }

    /* ABOUT */
    .article {
        width: 45%;
    }

    /* QUESTIONS*/
    .questions {
        height: 520px;
        justify-content: space-evenly;
        flex-direction: column;
        margin-bottom: 0;
        padding-bottom: 0;
        padding-bottom: 40px;
    }

    .questions>img {
        width: 450px;
        padding-top: 0;
        margin-top: 0;
    }

    /* RESULTS */
    .results-content {
        flex-direction: column-reverse;
    }

    .results-text {
        width: 100%;
        margin-left: 30px;
    }

    .results-text > a {
        margin-bottom: 60px;
    }

    .numbers {
        width: 100%;
    }

    /* SERVICES */
    .services {
        flex-direction: column-reverse;
        align-items: center;
    }

    .skills-box {
        margin: 0px 0px 40px 0px;
    }

    .skills-box h4 {
        width: 550px;
    }

    .services > img {
        width: 400px;
    }

    /* FOOTER */
    .footer-part {
        width: 40%;
        margin-bottom: 40px;
    }
}   

/*-----------RESPONSIVE-DESIGN-800PX----------*/
@media screen and (max-width: 600px) {
    
    /* HEADER */
    .nav {
        padding: 0 10px;
    }

    .header-links {
        /* display: none; */
        position: fixed;
        background: #667db6;  /* fallback for old browsers */
        background: -webkit-linear-gradient(to right, #667db6, #0082c8, #0082c8, #667db6);  /* Chrome 10-25, Safari 5.1-6 */
        background: linear-gradient(to right, #667db6, #0082c8, #0082c8, #667db6); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
        top: 0;
        right: 0;
        width: 100%;
        height: 100vh;
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: space-evenly;
        
        /* clip-path */
        clip-path: circle(50% at 50% 50%);
        clip-path: circle(0.0% at 100% 0);
    }

    .nav .menu-two {
        clip-path: circle(145% at 100% 0);
    }

    .nav .header-links a {
        color: #fff;
        font-size: 24px;
    }

    .nav .header-links a:hover {
        border-color: #fff;
    }

    .hamburguer {
        display: block;
    }

    h1 {
        font-size: 40px;    
    }

    .title {
        font-size: 35px;
        text-align: center;
    }

    /* START */
    .header-content {
        height: 650px;
    }

    .header-content>img {
        width: 400px;
    }

    /* ABOUT */
    .article {
        width: 90%;
        text-align: center;
    }

    /* QUESTIONS */
    .questions>img {
        width: 350px;
    }

    /* RESULTS */
    .results-text h4 {
        font-size: 35px;
        text-align: center;
    }

    .numbers .number {
        width: 90%;
        text-align: center;
    }

    /* SERVICES */ 
    .services > img {
        width: 300px;
    }

    .skills-box h4{
        width: 100%;
        padding: 10px 70px 10px 10px;
    }

    /* FOOTER */
    .footer-part {
        width: 90%;
    }

    .footer-part img {
        width: 25%;
    }
}
